Skip to main content
`Ctrl`+`K`

# VECKOKKOS

VECKOKKOS = “kokkos” - The basic vector, modified to use Kokkos

## Options Database Keys

- -vec_type kokkos - sets the vector type to VECKOKKOS during a call to VecSetFromOptions()

## See Also

`VecCreate()`, `VecSetType()`, `VecSetFromOptions()`, `VecCreateMPIKokkosWithArray()`, `VECMPI`, `VecType`, `VecCreateMPI()`

## Level

beginner

## Location

src/vec/vec/impls/mpi/kokkos/mpikok.kokkos.cxx

## Examples

src/snes/tutorials/ex55.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages